part of 'occupancy_heat_map_bloc.dart';

sealed class OccupancyHeatMapEvent extends Equatable {
  const OccupancyHeatMapEvent();

  @override
  List<Object> get props => [];
}

final class LoadOccupancyHeatMapEvent extends OccupancyHeatMapEvent {
  const LoadOccupancyHeatMapEvent(this.param);

  final GetOccupancyHeatMapParam param;

  @override
  List<Object> get props => [param];
}

final class ClearOccupancyHeatMapEvent extends OccupancyHeatMapEvent {
  const ClearOccupancyHeatMapEvent();
}
